import java.awt.Point;
import java.awt.Rectangle;

/**
 * Contain the position and the dimension of the stamp
 * @author 413
 *
 */
public class Stamp {
	Rectangle r;

	/**
	 * Constructor
	 * @param r
	 */
	public Stamp(Rectangle r) {
		super();
		this.r = r;
	}
	
	/**
	 * return the center of the rectangle
	 */
	public Point center()
	{
		return (new Point((int)r.getCenterX(), (int)r.getCenterY()));
	}

	/**
	 * get the rectangle corresponding to the stamp
	 * @return
	 */
	public Rectangle getR() {
		return r;
	}

	/**
	 * set the rectangle corresponding to the stamp
	 * @param r
	 */
	public void setR(Rectangle r) {
		this.r = r;
	}
}
